org.deidentifier.arx.examples

## Class Example52

- java.lang.Object
- - org.deidentifier.arx.examples.Example
  - - org.deidentifier.arx.examples.Example52

    public class Example52
    extends Example

Examples of using the game-theoretic approach for performing a monetary cost/benefit analysis using journalist risk.

Author:
  Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`Example52()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Data` `createData(java.lang.String dataset)` Loads a dataset from disk
`static void` `main(java.lang.String[] args)` Entry point.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Example52

    public Example52()

### Method Detail

#### createData

    public static Data createData(java.lang.String dataset)
                           throws java.io.IOException

Loads a dataset from disk

Parameters:
  `dataset` -
Returns:
Throws:
  `java.io.IOException`

#### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException

Entry point.

Parameters:
  `args` - the arguments
Throws:
  `java.io.IOException`